Package org.wso2.carbon.proxyadmin.stub

# Class ProxyServiceAdminCallbackHandler

java.lang.Object
org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler

public abstract class ProxyServiceAdminCallbackHandler extends Object
ProxyServiceAdminCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `clientData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyServiceAdminCallbackHandler()`
  Please use this constructor if you don't want to set any clientData
  `ProxyServiceAdminCallbackHandler(Object clientData)`
  User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getClientData()`
  Get the client data
  `void`
  `receiveErroraddProxy(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from addProxy operation
  `void`
  `receiveErrordeleteProxyService(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from deleteProxyService operation
  `void`
  `receiveErrordisableStatistics(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from disableStatistics operation
  `void`
  `receiveErrordisableTracing(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from disableTracing operation
  `void`
  `receiveErrorenableStatistics(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from enableStatistics operation
  `void`
  `receiveErrorenableTracing(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from enableTracing operation
  `void`
  `receiveErrorgetAvailableEndpoints(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getAvailableEndpoints operation
  `void`
  `receiveErrorgetAvailableSequences(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getAvailableSequences operation
  `void`
  `receiveErrorgetAvailableTransports(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getAvailableTransports operation
  `void`
  `receiveErrorgetEndpoint(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getEndpoint operation
  `void`
  `receiveErrorgetMetaData(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getMetaData operation
  `void`
  `receiveErrorgetProxy(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getProxy operation
  `void`
  `receiveErrorgetSourceView(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from getSourceView operation
  `void`
  `receiveErrormodifyProxy(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from modifyProxy operation
  `void`
  `receiveErrorredeployProxyService(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from redeployProxyService operation
  `void`
  `receiveErrorstartProxyService(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from startProxyService operation
  `void`
  `receiveErrorstopProxyService(Exception e)`
  auto generated Axis2 Error handler override this method for handling error response from stopProxyService operation
  `void`
  `receiveResultaddProxy(String result)`
  auto generated Axis2 call back method for addProxy method override this method for handling normal response from addProxy operation
  `void`
  `receiveResultdeleteProxyService(String result)`
  auto generated Axis2 call back method for deleteProxyService method override this method for handling normal response from deleteProxyService operation
  `void`
  `receiveResultdisableStatistics(String result)`
  auto generated Axis2 call back method for disableStatistics method override this method for handling normal response from disableStatistics operation
  `void`
  `receiveResultdisableTracing(String result)`
  auto generated Axis2 call back method for disableTracing method override this method for handling normal response from disableTracing operation
  `void`
  `receiveResultenableStatistics(String result)`
  auto generated Axis2 call back method for enableStatistics method override this method for handling normal response from enableStatistics operation
  `void`
  `receiveResultenableTracing(String result)`
  auto generated Axis2 call back method for enableTracing method override this method for handling normal response from enableTracing operation
  `void`
  `receiveResultgetAvailableEndpoints(String[] result)`
  auto generated Axis2 call back method for getAvailableEndpoints method override this method for handling normal response from getAvailableEndpoints operation
  `void`
  `receiveResultgetAvailableSequences(String[] result)`
  auto generated Axis2 call back method for getAvailableSequences method override this method for handling normal response from getAvailableSequences operation
  `void`
  `receiveResultgetAvailableTransports(String[] result)`
  auto generated Axis2 call back method for getAvailableTransports method override this method for handling normal response from getAvailableTransports operation
  `void`
  `receiveResultgetEndpoint(String result)`
  auto generated Axis2 call back method for getEndpoint method override this method for handling normal response from getEndpoint operation
  `void`
  `receiveResultgetMetaData(MetaData result)`
  auto generated Axis2 call back method for getMetaData method override this method for handling normal response from getMetaData operation
  `void`
  `receiveResultgetProxy(ProxyData result)`
  auto generated Axis2 call back method for getProxy method override this method for handling normal response from getProxy operation
  `void`
  `receiveResultgetSourceView(String result)`
  auto generated Axis2 call back method for getSourceView method override this method for handling normal response from getSourceView operation
  `void`
  `receiveResultmodifyProxy(String result)`
  auto generated Axis2 call back method for modifyProxy method override this method for handling normal response from modifyProxy operation
  `void`
  `receiveResultredeployProxyService(String result)`
  auto generated Axis2 call back method for redeployProxyService method override this method for handling normal response from redeployProxyService operation
  `void`
  `receiveResultstartProxyService(String result)`
  auto generated Axis2 call back method for startProxyService method override this method for handling normal response from startProxyService operation
  `void`
  `receiveResultstopProxyService(String result)`
  auto generated Axis2 call back method for stopProxyService method override this method for handling normal response from stopProxyService operation

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### clientData

    protected Object clientData

- ## Constructor Details

  - ### ProxyServiceAdminCallbackHandler

    public ProxyServiceAdminCallbackHandler(Object clientData)
    User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
    Parameters:
      `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

  - ### ProxyServiceAdminCallbackHandler

    public ProxyServiceAdminCallbackHandler()
    Please use this constructor if you don't want to set any clientData

- ## Method Details

  - ### getClientData

    public Object getClientData()
    Get the client data

  - ### receiveResultgetSourceView

    public void receiveResultgetSourceView(String result)
    auto generated Axis2 call back method for getSourceView method override this method for handling normal response from getSourceView operation

  - ### receiveErrorgetSourceView

    public void receiveErrorgetSourceView(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getSourceView operation

  - ### receiveResultmodifyProxy

    public void receiveResultmodifyProxy(String result)
    auto generated Axis2 call back method for modifyProxy method override this method for handling normal response from modifyProxy operation

  - ### receiveErrormodifyProxy

    public void receiveErrormodifyProxy(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from modifyProxy operation

  - ### receiveResultredeployProxyService

    public void receiveResultredeployProxyService(String result)
    auto generated Axis2 call back method for redeployProxyService method override this method for handling normal response from redeployProxyService operation

  - ### receiveErrorredeployProxyService

    public void receiveErrorredeployProxyService(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from redeployProxyService operation

  - ### receiveResultgetAvailableTransports

    public void receiveResultgetAvailableTransports(String[] result)
    auto generated Axis2 call back method for getAvailableTransports method override this method for handling normal response from getAvailableTransports operation

  - ### receiveErrorgetAvailableTransports

    public void receiveErrorgetAvailableTransports(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getAvailableTransports operation

  - ### receiveResultstartProxyService

    public void receiveResultstartProxyService(String result)
    auto generated Axis2 call back method for startProxyService method override this method for handling normal response from startProxyService operation

  - ### receiveErrorstartProxyService

    public void receiveErrorstartProxyService(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from startProxyService operation

  - ### receiveResultdisableTracing

    public void receiveResultdisableTracing(String result)
    auto generated Axis2 call back method for disableTracing method override this method for handling normal response from disableTracing operation

  - ### receiveErrordisableTracing

    public void receiveErrordisableTracing(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from disableTracing operation

  - ### receiveResultgetMetaData

    public void receiveResultgetMetaData(MetaData result)
    auto generated Axis2 call back method for getMetaData method override this method for handling normal response from getMetaData operation

  - ### receiveErrorgetMetaData

    public void receiveErrorgetMetaData(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getMetaData operation

  - ### receiveResultenableTracing

    public void receiveResultenableTracing(String result)
    auto generated Axis2 call back method for enableTracing method override this method for handling normal response from enableTracing operation

  - ### receiveErrorenableTracing

    public void receiveErrorenableTracing(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from enableTracing operation

  - ### receiveResultgetProxy

    public void receiveResultgetProxy(ProxyData result)
    auto generated Axis2 call back method for getProxy method override this method for handling normal response from getProxy operation

  - ### receiveErrorgetProxy

    public void receiveErrorgetProxy(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getProxy operation

  - ### receiveResultgetAvailableEndpoints

    public void receiveResultgetAvailableEndpoints(String[] result)
    auto generated Axis2 call back method for getAvailableEndpoints method override this method for handling normal response from getAvailableEndpoints operation

  - ### receiveErrorgetAvailableEndpoints

    public void receiveErrorgetAvailableEndpoints(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getAvailableEndpoints operation

  - ### receiveResultenableStatistics

    public void receiveResultenableStatistics(String result)
    auto generated Axis2 call back method for enableStatistics method override this method for handling normal response from enableStatistics operation

  - ### receiveErrorenableStatistics

    public void receiveErrorenableStatistics(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from enableStatistics operation

  - ### receiveResultdisableStatistics

    public void receiveResultdisableStatistics(String result)
    auto generated Axis2 call back method for disableStatistics method override this method for handling normal response from disableStatistics operation

  - ### receiveErrordisableStatistics

    public void receiveErrordisableStatistics(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from disableStatistics operation

  - ### receiveResultgetEndpoint

    public void receiveResultgetEndpoint(String result)
    auto generated Axis2 call back method for getEndpoint method override this method for handling normal response from getEndpoint operation

  - ### receiveErrorgetEndpoint

    public void receiveErrorgetEndpoint(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getEndpoint operation

  - ### receiveResultstopProxyService

    public void receiveResultstopProxyService(String result)
    auto generated Axis2 call back method for stopProxyService method override this method for handling normal response from stopProxyService operation

  - ### receiveErrorstopProxyService

    public void receiveErrorstopProxyService(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from stopProxyService operation

  - ### receiveResultdeleteProxyService

    public void receiveResultdeleteProxyService(String result)
    auto generated Axis2 call back method for deleteProxyService method override this method for handling normal response from deleteProxyService operation

  - ### receiveErrordeleteProxyService

    public void receiveErrordeleteProxyService(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from deleteProxyService operation

  - ### receiveResultaddProxy

    public void receiveResultaddProxy(String result)
    auto generated Axis2 call back method for addProxy method override this method for handling normal response from addProxy operation

  - ### receiveErroraddProxy

    public void receiveErroraddProxy(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from addProxy operation

  - ### receiveResultgetAvailableSequences

    public void receiveResultgetAvailableSequences(String[] result)
    auto generated Axis2 call back method for getAvailableSequences method override this method for handling normal response from getAvailableSequences operation

  - ### receiveErrorgetAvailableSequences

    public void receiveErrorgetAvailableSequences(Exception e)
    auto generated Axis2 Error handler override this method for handling error response from getAvailableSequences operation